{#
/**
 * @file
 * Theme override to display inline links.
 *
 * Available variables:
 * - attributes: Attributes for the UL containing the list of links.
 * - links: Links to be output.
 *   Each link will have the following elements:
 *   - title: The link text.
 *   - href: The link URL. If omitted, the 'title' is shown as a plain text
 *     item in the links list. If 'href' is supplied, the entire link is passed
 *     to l() as its $options parameter.
 *   - attributes: (optional) HTML attributes for the anchor, or for the <span>
 *     tag if no 'href' is supplied.
 *   - link_key: The link CSS class.
 * - heading: (optional) A heading to precede the links.
 *   - text: The heading text.
 *   - level: The heading level (e.g. 'h2', 'h3').
 *   - attributes: (optional) A keyed list of attributes for the heading.
 *   If the heading is a string, it will be used as the text of the heading and
 *   the level will default to 'h2'.
 *
 *   Headings should be used on navigation menus and any list of links that
 *   consistently appears on multiple pages. To make the heading invisible use
 *   the 'visually-hidden' CSS class. Do not use 'display:none', which
 *   removes it from screen readers and assistive technology. Headings allow
 *   screen reader and keyboard only users to navigate to or skip the links.
 *   See http://juicystudio.com/article/screen-readers-display-none.php and
 *   http://www.w3.org/TR/WCAG-TECHS/H42.html for more information.
 *
 * @see template_preprocess_links()
 *
 * @ingroup themeable
 */
#}
{{ attach_library('bootstrap_barrio/links') }}

{% if links %}
  <nav{{ attributes.addClass(['nav', 'links-inline']) }}>
    <a class="dropdown-toggle" href="#" role="button" id="languageSwitcher"  data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
      {{ lang }}
    </a>

    <div class="dropdown-menu" aria-labelledby="languageSwitcher">
      {%- for key, item in links -%}
        <span{{ item.attributes.addClass(key|clean_class, 'nav-link') }}>
          {%- if item.link -%}
            {{ item.link }}
          {%- elseif item.text_attributes -%}
            <span{{ item.text_attributes }}>{{ item.text }}</span>
          {%- else -%}
            {{ item.text }}
          {%- endif -%}
        </span>
      {%- endfor -%}
    </div>
  </nav>
{% endif %}
